# Outbound Message Setup

Outbound Message Setup in Salesforce helps for instantaneous update from Source to Database during Replication process.

We can take an example for salesforce.The below steps should be followed to setup Outbound Message in Salesforce.

* Create an Outbound Message in Salesforce
* Select Fields to send to backend&#x20;

> \<Destination name="WebNotificationQueue" serial="true" persistOnError="true">
>
> &#x20;           \<Listener name="WebNotificationQueue" className="com.dbsync.salesforce.event.WebNotificationEventListener" />
>
> \</Destination>

For more details on Setting Up Outbound Message, please refer the below link.

<https://www.salesforce.com/developer/docs/api/Content/sforce_api_om_outboundmessaging_setting_up.htm>

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mydbsync.com/cloud-replication-main/source-setup/salesforce/outbound-message-setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
